## FsMulticastStreamTransmitter FsMulticastStreamTransmitter — A stream transmitter object for Multicast UDP |

## Types and Values

struct | FsMulticastStreamTransmitter

## Description

The multicast transmitter allows data to be sent over and received from multicasted UDP on IPv4.

This stream transmitter never emits local candidates. It will listen to the port specified in the remote candidate. And will also send to that port. It accepts only a single remote candidate per component, if a new one is given, it will replace the previous one for that component.

The transmitter will only stop sending to a multicast group when all of its StreamTransmitters that have this multicast group as destination have their "sending" property set to false. Multiple stream transmitters can point to the same multicast groups from the same Transmitter (session), and only one copy of each packet will be received.

It will only listen to and send from the IP specified in the prefered-local-candidates. There can be only one preferred candidate per component. Only the component_id and the ip will be used from the preferred local candidates, everything else is ignored.

Packets sent will be looped back (so that other clients on the same session can be on the same machine.

The name of this transmitter is "multicast".

## Functions

## Types and Values

### struct FsMulticastStreamTransmitter

    struct FsMulticastStreamTransmitter {
      FsStreamTransmitter parent;
    };

All members are private, access them using methods and properties

#### Members

FsStreamTransmitter `parent`; | Parent object |

## See Also

FsRawUdpStreamTransmitter